Subject: Re: Anonymous ftp on 1.3.9
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Thu, 21 Mar 2002 08:16:38 -0800
Newsgroups: gmane.os.cygwin

Again, please stop emailing me directly - keep in on the list!

Pavel Tsekov wrote:

> Hello Andrew,
> 
> Wednesday, March 20, 2002, 9:13:56 PM, you wrote:
> 
> AD> Pavel Tsekov wrote:
> 
> 
>>>Hello Andrew,
>>>
>>>Wednesday, March 20, 2002, 2:38:01 AM, you wrote:
>>>
>>>AD> I had set up anonymous ftp before and it was working find (probably
>>>AD> around 1.3.6). Now on 1.3.9 it doesn't seem to be working right. I've
>>>
>>>What exactly isn't working ?
>>>
> 
> AD> adefaria:/bin/ftp adefaria
> AD> Connected to adefaria.SALIRA.COM.
> AD> 220- Welcome to adefaria's ftp service
> AD> 220 adefaria FTP server (GNU inetutils 1.3.2) ready.
> AD> Name (adefaria:adefaria): anonymous
> AD> 331 Guest login ok, send your complete e-mail address as password.
> AD> Password:
> AD> 530 Login incorrect.
> AD> /bin/ftp: Login failed.
> AD> Remote system type is UNIX.
> AD> Using binary mode to transfer files.
> ftp>>
> 
> Ok, check your /etc/ftpusers - maybe it has anonymous listed in it
> (the default). If so remove it ... If you still have problems stick to
> /usr/doc/Cygwin/inetutils-x.x.x.README.

No, anonymous is not in /etc/ftpusers. /etc/ftpusers is a 0 length file. Besides, as I
said before (hmmm... maybe I didn't) I had this working already on a server. Anonymous
ftp was working just fine then it broke. So I had already went through all of the steps
to get it to work correctly. I believe I installed a new version of Cygwin and it broke.

Now I know installing a new version of Cygwin changes things, but I have this customized
setup script that I wrote and one of the things it does is to recreate the steps I used
last time to get anonymous ftp setup on the server only.

Plus I recreated, by hand, and checked all the things in ftpd(1) re setting up anonymous
ftp. Still I'm stuck.

> [snip]
> 
> 
>>>I think not, but again you don't say what isn't working
>>>
> 
> AD> As shown above, I cannot successfully login as anonymous through ftpd
> 
> Ok, but at least you know that "fcntl F_SETOWN: Invalid argument." has
> nothing to do with your problem.

I'm not necessarily totally convinced that this has nothing to do with the problem. I've
read that this error message comes out even with non anonymous ftp. However perhaps,
with anonymous ftp, this error message is pertenent or perhaps is pointing a finger
towards the real problem. Maybe not.

My thoughts are that some sort of security check has been tightened up in some manner
such that this is now broken.

OK, here's a though: My /etc/passwd file is a symlink to a global password file. This
makes maintainance a lot easier. And besides, it's not like Cygwin is a real OS where
you login. Anyways I learned, however, that on NT 4 a symlinked /etc/passwd file does not
work when you telnet or rsh to a machine (apparently login.exe on NT 4 is a bit more
picky than login on 2000/Xp). So perhaps in.ftpd got more picky about this on 2000/Xp
with Cygwin 1.3.9. I'll have to check this out when I get to work today.

Nope. just tried this on my home machine, no symlinked /etc/passwd, still doesn't work.
I have 1.3.10 at home.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/